Base URL: https://demo-api.incodesmile.com — Incode demo environment
Upload document image and store data.
Note: Make sure to put the 'Content-Type' header as 'Content-Type: image/jpeg' or 'Content-Type: image/png'.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
type |
query | string | yes | - signature: Upload user's digital signature. This can be later fetched in get images endpoint. - document: Upload user's proof of address document. This can be later fetched in get images endpoint. - addressStatement: (Legacy) Upload user's proof of address document. Used for backward compatibility. Use type 'document' instead. - medicalDoc: Upload user's medical document. - thirdId: Upload user's third ID. - contract: Upload contract image. Enum: signature, document, medicalDoc, thirdId, contract |
title |
query | string | Only if type is contract. Title of contract. | |
format |
query | string | Only if type is document. Possible values are image (jpg and png supported) or pdf. Default is image. Enum: image, pdf |
|
api-version |
header | string | yes |
Request body
Binary Image.
Content-Type: application/json
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
success |
boolean | Flag indicating request passed successfully. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |